地上马

做个JavaScript讲师也不错

ATOM编辑器

atom 插件篇

由于 1.21.0 开始拥有完整的IDE集成包,所以这次是拿测试版来操作

  • 系统环境 ==> windows 10 家庭版
    • atom 普通用户大多在windows平台
      • 事实上,atom 在windows上运行相对较卡!
    • Linux用户 热爱vim、meacs
    • Mac 我并没有

字体

字体 ==> DejaVu Sans Mono,Microsoft YaHei Mono


插件安装

  1. 打开 [win-r] – cmd
  2. 下载安装组件 apm install –check
  3. 安装 apm install package1 package2
  4. 卸载 apm remove packages
  5. 安装/卸载 成功 OR 失败

推荐插件

Community Packages (31) C:\Users\xxx\.atom\packages

├── advanced-open-file@0.16.7
├── atom-autocomplete-php@0.25.6
├── atom-beautify@0.30.9
├── atom-clock@0.1.15
├── atom-ide-ui@0.7.0
├── atom-ternjs@0.18.3
├── autoclose-html@0.23.0
├── autocomplete-paths@2.12.1
├── autoprefixer@3.7.1
├── color-picker@2.2.5
├── docblockr@0.13.4
├── emmet@2.4.3
├── ex-mode@0.18.0
├── file-icons@2.1.15
├── highlight-column@0.5.4
├── highlight-line@0.12.0
├── highlight-selected@0.13.1
├── ide-php@0.7.4
├── ide-typescript@0.7.2
├── markdown-scroll-sync@2.1.2
├── minimap@4.29.7
├── minimap-split-diff@0.3.7
├── monokai@0.24.0
├── open-in-browser@0.5.2
├── pigments@0.40.2
├── project-viewer@1.2.5
├── relative-numbers@0.8.0
├── script@3.17.3
├── split-diff@1.5.1
├── sync-settings@0.8.3
└── vim-mode-plus@1.24.3

script插件说明

script插件需要相应的程序配置到环境变量里面

  1. js脚本,建议去官方下nodejs包安装
  2. php脚本,建议环境变量绑定php7以上的版本

atom插件无法正常安装

  1. 最有效解决方法 翻墙

    • win系统 C:\Users\xxx.atom.apmrc
    • Linux系统 ~/.atom/.apmrc

    • .apmrc文件内容:

      strict-ssl=false
      https-proxy=http://127.0.0.1:1080/
      http-proxy =http://127.0.0.1:1080/
  2. 下载安装组件

    • [win-r] – cmd
    > apm install --check
    > Checking for native build tools done  //该字样出现,就代表安装成功了!

安装php补全插件

atom-autocomplete-php

  • 下载 composer.phar

    C:\Users\xxx> php -r "copy('https://install.phpcomposer.com/installer', 'composer-setup.php');"
    C:\Users\xxx> php composer-setup.php
    C:\Users\xxx> php -r "unlink('composer-setup.php');"
    
  • composer.phar 所在目录
    • C:\Users\xxx>

安装JS补全插件

atom-ternjs

  • menu > Packages > Atom Ternjs > Configure project
  • 选择自己需要的组件
  • 点击按钮 Save & Restart Server

如果无法打开Configure project界面

  1. 在项目根目录下新建 .tern-project 文件
  2. 文件内容如下:

    {
      "ecmaVersion": "6",
      "libs": [
        "browser",
        "jquery"
      ],
      "loadEagerly": [],
      "dontLoad": [
        "node_modules/**"
      ],
      "plugins": {
        "doc_comment": true,
        "modules": {
          "dontLoad": "",
          "load": "",
          "modules": ""
        },
        "es_modules": {}
      }
    }
  3. menu > Packages > Atom Ternjs > Configure project
  4. 选择自己需要的组件
  5. 点击按钮 Save & Restart Server

sync-settings 快捷键

Personal Access Token ==> 94be6f19ade8109f73a28cce052728055c6ad20e

gistID ==> 7f2c3f839e10eebe82c0093c073c0d79

  • 快捷键 ==>
    1. 备份 >> sync-settings:backup
    2. 恢复 >> sync-settings:restore
    3. 查看在线备份 >> sync-settings:view-backup
    4. 检查最新的备份应用 >> sync-settings:check-backup

阅读更多
版权声明:本博客转载后的文章页面要求美观大方,否则将追究其法律责任 https://blog.csdn.net/wuxiang668/article/details/53230472
个人分类: 程序员 atom IDE
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

ATOM编辑器

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭